# 服务平台
版本 |  创建时间   | 作者 |  备注信息
---|---|---|---
v1.0|2022-01-20|zxfei| 接口文档

## 数据类型
类型名称|类型描述|参考样例
---|---|---
String |字符串|A、a、ab
Integer|数字类型|1、12、-1
Long|长整型数字|1、12、-1
date|时间类型,单位纳秒数字|167988745573
BigDecimal|小数类型|545.256
object|对象类型|{"name":"zhang3"}
arrays|数组类型|[{"name":"zhang3"},{"name":"zhang2"}]


## 系统服务
### 登录

**请求URL:** login/login

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户登录

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
password|String|用户密码|是|-
securityCode|String|校验码|是|-

**请求样例:**
```

{
"loginName":"zhang3",
"password":"123456",
"securityCode":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
"msg":"登录成功",
"code":1,
"data":{

}
}

```

### 登出

**请求URL:** login/logout

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```


```

### 修改密码

**请求URL:** user/change/password

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户修改密码

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
oldPwd|String|用户加密后密码|是|-
newPwd|String|用户加密后新密码|是|-

**请求样例:**
```

{
"loginName":"zhang3",
"oldPwd":"123456",
"newPwd":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
"msg":"修改密码成功",
"code":1,
"data":{}
}

```



### 获取验证码

**请求URL:** securitycode/createCode

**请求方式:** GET

**内容类型:** image/gif

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**



**响应消息样例:**
```

```


### 上传附件

**请求URL:** file/commonupload

**请求方式:** POST


**内容类型:** multipart/form-data

**简要描述:** 用户上传附件

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|multipart|附件|是|-
prePath|String|附件存放相对路径|否|不填时候默认为/file/fileupload

**请求样例:**
```
http://127.0.0.1/file/commonupload?prePath=/file/fileupload
Content-Type: multipart/form-data; boundary=WebAppBoundary

--WebAppBoundary
Content-Disposition: form-data; name="file"; filename="1.excel"
Content-Type: multipart/form-data
```
**响应参数:**



**响应消息样例:**
```

```

## 会议记录

### 查询会议记录列表

**请求URL:** metting/record/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询会议记录

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;meetName|String|会议名称
&emsp;&emsp;meetDate|Date|会议日期
&emsp;&emsp;meetTimeStart|Date|开会开始时间
&emsp;&emsp;meetTimeEnd|Date|开会结束时间
&emsp;&emsp;roomId|Long|开会房间ID
&emsp;&emsp;roomName|String|开会房间名称
&emsp;&emsp;meetDeptName|String|开会部门名称
&emsp;&emsp;meetStatus|Integer|会议状态(0.等待中,1.进行中,2.已结束)
&emsp;&emsp;finishMethod|Integer|会议结束方式(0.自动结束,1.手动结束)
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;meetStatus|object|字典属性对象，详见附录
&emsp;finishMethod|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看会议记录

**请求URL:** metting/record/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看会议记录，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/metting/record/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;meetName|String|会议名称
&emsp;meetDate|Date|会议日期
&emsp;meetTimeStart|Date|开会开始时间
&emsp;meetTimeEnd|Date|开会结束时间
&emsp;roomId|Long|开会房间ID
&emsp;roomName|String|开会房间名称
&emsp;meetDeptName|String|开会部门名称
&emsp;meetStatus|Integer|会议状态(0.等待中,1.进行中,2.已结束)
&emsp;finishMethod|Integer|会议结束方式(0.自动结束,1.手动结束)
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;meetStatus|object|字典属性对象，详见附录
&emsp;finishMethod|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6192,
            "meetName":"8ot04c",
            "meetDate":"2023-05-22",
            "meetTimeStart":"2023-05-22",
            "meetTimeEnd":"2023-05-22",
            "roomId":5499,
            "roomName":"gjpa40",
            "meetDeptName":"zmh5et",
            "meetStatus":6276,
            "finishMethod":1251,
            "remark":"m5i811",
            "createUserId":6661,
            "createTime":"2023-05-22",
            "updateUserId":3019,
            "updateTime":"2023-05-22"
        }
}
```

### 保存更新会议记录

**请求URL:** metting/record/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新会议记录：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
meetName|String|是|会议名称
meetDate|Date|是|会议日期
meetTimeStart|Date|是|开会开始时间
meetTimeEnd|Date|是|开会结束时间
roomId|Long|是|开会房间ID
roomName|String|是|开会房间名称
meetDeptName|String|是|开会部门名称
meetStatus|Integer|是|会议状态(0.等待中,1.进行中,2.已结束)
finishMethod|Integer|是|会议结束方式(0.自动结束,1.手动结束)
remark|String|否|备注

**请求样例:**
```
{
    "meetName":"xp7jpq",
    "meetDate":"2023-05-22",
    "meetTimeStart":"2023-05-22",
    "meetTimeEnd":"2023-05-22",
    "roomId":9341,
    "roomName":"8w6jrb",
    "meetDeptName":"qbvail",
    "meetStatus":3679,
    "finishMethod":6682,
    "remark":"nl6gxn",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;meetName|String|会议名称
&emsp;&emsp;meetDate|Date|会议日期
&emsp;&emsp;meetTimeStart|Date|开会开始时间
&emsp;&emsp;meetTimeEnd|Date|开会结束时间
&emsp;&emsp;roomId|Long|开会房间ID
&emsp;&emsp;roomName|String|开会房间名称
&emsp;&emsp;meetDeptName|String|开会部门名称
&emsp;&emsp;meetStatus|Integer|会议状态(0.等待中,1.进行中,2.已结束)
&emsp;&emsp;finishMethod|Integer|会议结束方式(0.自动结束,1.手动结束)
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除会议记录

**请求URL:** metting/record/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除会议记录

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/metting/record/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 来往记录

### 查询来往记录列表

**请求URL:** gocome/record/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询来往记录

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;userName|String|用户名称
&emsp;&emsp;phone|String|电话
&emsp;&emsp;deptName|String|所属部门
&emsp;&emsp;roomId|Long|所属房间ID
&emsp;&emsp;roomName|String|所属房间名称
&emsp;&emsp;beforeStatus|String|修改前状态
&emsp;&emsp;afterStatus|String|修改后状态
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看来往记录

**请求URL:** gocome/record/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看来往记录，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/gocome/record/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;userName|String|用户名称
&emsp;phone|String|电话
&emsp;deptName|String|所属部门
&emsp;roomId|Long|所属房间ID
&emsp;roomName|String|所属房间名称
&emsp;beforeStatus|String|修改前状态
&emsp;afterStatus|String|修改后状态
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":4547,
            "userName":"ywckf1",
            "phone":"vxn6n4",
            "deptName":"twsla2",
            "roomId":1685,
            "roomName":"da4fk4",
            "beforeStatus":"v3953d",
            "afterStatus":"yttrh5",
            "remark":"iy49ja",
            "createUserId":1767,
            "createTime":"2023-05-22",
            "updateUserId":460,
            "updateTime":"2023-05-22"
        }
}
```

### 保存更新来往记录

**请求URL:** gocome/record/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新来往记录：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
userName|String|是|用户名称
phone|String|否|电话
deptName|String|否|所属部门
roomId|Long|是|所属房间ID
roomName|String|是|所属房间名称
beforeStatus|String|是|修改前状态
afterStatus|String|是|修改后状态
remark|String|否|备注

**请求样例:**
```
{
    "userName":"ymtuei",
    "phone":"i5obl0",
    "deptName":"j3ex91",
    "roomId":4563,
    "roomName":"uxrj41",
    "beforeStatus":"3od9pt",
    "afterStatus":"36kqf5",
    "remark":"r32ktj",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;userName|String|用户名称
&emsp;&emsp;phone|String|电话
&emsp;&emsp;deptName|String|所属部门
&emsp;&emsp;roomId|Long|所属房间ID
&emsp;&emsp;roomName|String|所属房间名称
&emsp;&emsp;beforeStatus|String|修改前状态
&emsp;&emsp;afterStatus|String|修改后状态
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除来往记录

**请求URL:** gocome/record/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除来往记录

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/gocome/record/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 房间管理

### 查询房间管理列表

**请求URL:** room/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询房间管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;roomName|String|房间名称
&emsp;&emsp;roomCode|String|房间编码
&emsp;&emsp;roomType|Integer|房间类型(0.会议室,1.办公室)
&emsp;&emsp;deviceId|Long|绑定的电子门牌的设备ID
&emsp;&emsp;deviceName|String|绑定的设备名称
&emsp;&emsp;countPerson|Long|员工人数
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;roomType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看房间管理

**请求URL:** room/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看房间管理，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/room/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;roomName|String|房间名称
&emsp;roomCode|String|房间编码
&emsp;roomType|Integer|房间类型(0.会议室,1.办公室)
&emsp;deviceId|Long|绑定的电子门牌的设备ID
&emsp;deviceName|String|绑定的设备名称
&emsp;countPerson|Long|员工人数
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;roomType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9616,
            "roomName":"jc3eow",
            "roomCode":"lp8ai0",
            "roomType":7639,
            "deviceId":9236,
            "deviceName":"shlkzu",
            "countPerson":7659,
            "remark":"w72a0d",
            "createUserId":5146,
            "createTime":"2023-05-22",
            "updateUserId":9529,
            "updateTime":"2023-05-22"
        }
}
```

### 保存更新房间管理

**请求URL:** room/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新房间管理：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
roomName|String|是|房间名称
roomCode|String|否|房间编码
roomType|Integer|是|房间类型(0.会议室,1.办公室)
deviceId|Long|否|绑定的电子门牌的设备ID
deviceName|String|否|绑定的设备名称
countPerson|Long|否|员工人数
remark|String|否|备注

**请求样例:**
```
{
    "roomName":"a3hx6a",
    "roomCode":"eyvgzg",
    "roomType":6085,
    "deviceId":2500,
    "deviceName":"q4u7qu",
    "countPerson":7526,
    "remark":"uc6v9o",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;roomName|String|房间名称
&emsp;&emsp;roomCode|String|房间编码
&emsp;&emsp;roomType|Integer|房间类型(0.会议室,1.办公室)
&emsp;&emsp;deviceId|Long|绑定的电子门牌的设备ID
&emsp;&emsp;deviceName|String|绑定的设备名称
&emsp;&emsp;countPerson|Long|员工人数
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除房间管理

**请求URL:** room/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除房间管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/room/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 房间工作人员信息

### 查询房间工作人员信息列表

**请求URL:** room/workman/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询房间工作人员信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;roomId|Long|房间id
&emsp;&emsp;roomName|String|房间名称
&emsp;&emsp;workmanId|Long|工作人员id
&emsp;&emsp;workmanName|String|工作人员名称
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看房间工作人员信息

**请求URL:** room/workman/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看房间工作人员信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/room/workman/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;roomId|Long|房间id
&emsp;roomName|String|房间名称
&emsp;workmanId|Long|工作人员id
&emsp;workmanName|String|工作人员名称
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":2628,
            "roomId":2601,
            "roomName":"il1zae",
            "workmanId":3944,
            "workmanName":"3ffkkm",
            "remark":"usk0v1",
            "createUserId":3602,
            "createTime":"2023-05-22",
            "updateUserId":560,
            "updateTime":"2023-05-22"
        }
}
```

### 保存更新房间工作人员信息

**请求URL:** room/workman/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新房间工作人员信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
roomId|Long|否|房间id
roomName|String|是|房间名称
workmanId|Long|否|工作人员id
workmanName|String|是|工作人员名称
remark|String|否|备注

**请求样例:**
```
{
    "roomId":2766,
    "roomName":"eg18ei",
    "workmanId":2037,
    "workmanName":"rwierp",
    "remark":"o7amsw",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;roomId|Long|房间id
&emsp;&emsp;roomName|String|房间名称
&emsp;&emsp;workmanId|Long|工作人员id
&emsp;&emsp;workmanName|String|工作人员名称
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除房间工作人员信息

**请求URL:** room/workman/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除房间工作人员信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/room/workman/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 工作人员

### 查询工作人员列表

**请求URL:** workman/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询工作人员

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;roomId|Long|所属房间id
&emsp;&emsp;roomName|String|所属房间名称
&emsp;&emsp;deptName|String|所属部门
&emsp;&emsp;name|String|姓名
&emsp;&emsp;sex|Integer|性别(0.男,1.女)
&emsp;&emsp;userPost|String|职务
&emsp;&emsp;phone|String|电话
&emsp;&emsp;mobile|String|手机
&emsp;&emsp;summary|String|简介
&emsp;&emsp;photoPath|String|照片
&emsp;&emsp;workStatus|String|工作状态，来源基础设置
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateTime|Date|修改时间
dict|object|字典对象
&emsp;sex|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看工作人员

**请求URL:** workman/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看工作人员，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/workman/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;roomId|Long|所属房间id
&emsp;roomName|String|所属房间名称
&emsp;deptName|String|所属部门
&emsp;name|String|姓名
&emsp;sex|Integer|性别(0.男,1.女)
&emsp;userPost|String|职务
&emsp;phone|String|电话
&emsp;mobile|String|手机
&emsp;summary|String|简介
&emsp;photoPath|String|照片
&emsp;workStatus|String|工作状态，来源基础设置
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;updateTime|Date|修改时间
dict|object|字典对象
&emsp;sex|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6354,
            "roomId":2844,
            "roomName":"oefci6",
            "deptName":"z451wz",
            "name":"ke9aq7",
            "sex":9184,
            "userPost":"lq7ecq",
            "phone":"tl9k2q",
            "mobile":"ixmlkl",
            "summary":"wb7q47",
            "photoPath":"ia9v60",
            "workStatus":"exgwr0",
            "createTime":"2023-05-22",
            "createUserId":5620,
            "updateTime":"2023-05-22"
        }
}
```

### 保存更新工作人员

**请求URL:** workman/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新工作人员：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
roomId|Long|否|所属房间id
roomName|String|否|所属房间名称
deptName|String|否|所属部门
name|String|否|姓名
sex|Integer|否|性别(0.男,1.女)
userPost|String|否|职务
phone|String|否|电话
mobile|String|否|手机
summary|String|否|简介
photoPath|String|否|照片
workStatus|String|是|工作状态，来源基础设置

**请求样例:**
```
{
    "roomId":8779,
    "roomName":"6r6w9q",
    "deptName":"7gtjx6",
    "name":"6xh1mx",
    "sex":6410,
    "userPost":"glyfcn",
    "phone":"fyty3d",
    "mobile":"h3abvy",
    "summary":"hxklu8",
    "photoPath":"30cxvj",
    "workStatus":"xmio1y",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;roomId|Long|所属房间id
&emsp;&emsp;roomName|String|所属房间名称
&emsp;&emsp;deptName|String|所属部门
&emsp;&emsp;name|String|姓名
&emsp;&emsp;sex|Integer|性别(0.男,1.女)
&emsp;&emsp;userPost|String|职务
&emsp;&emsp;phone|String|电话
&emsp;&emsp;mobile|String|手机
&emsp;&emsp;summary|String|简介
&emsp;&emsp;photoPath|String|照片
&emsp;&emsp;workStatus|String|工作状态，来源基础设置
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateTime|Date|修改时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除工作人员

**请求URL:** workman/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除工作人员

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/workman/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

### 导入工作人员模板下载

**请求URL:** workman/downloadTemplate

**请求方式:** POST

**内容类型:** application/octet-stream;charset=utf-8

**简要描述:** 工作人员导入模板下载

**请求样例:**
```
    http://localhost/workman/downloadTemplate
```

**Response-example:**
```
...

```

### 导入工作人员

**请求URL:** workman/importData

**请求方式:** POST

**内容类型:** multipart/form-data

**简要描述:** 导入工作人员

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
file|file|是|文件流

**请求样例:**
```
    http://localhost/workman/importData --data 'updateSupport=true'

```

**Response-example:**
```
...

```

### 导出工作人员

**请求URL:** workman/exportExcel

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 导出工作人员

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
idList|Arrays|否|id数组

**请求样例:**
```
{
    idList:[1,2],

}

```

**Response-example:**
```
...

```
## 设备管理

### 查询设备管理列表

**请求URL:** device/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询设备管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;deviceName|String|设备名称
&emsp;&emsp;roomId|Long|所属房间id
&emsp;&emsp;roomName|String|所属房间名称
&emsp;&emsp;deviceCode|String|设备编码,SN码等，默认为MAC地址
&emsp;&emsp;deviceMac|String|设备的MAC地址
&emsp;&emsp;siteId|Long|站点Id，来源基础服务平台
&emsp;&emsp;siteCode|String|站点编号，来源基础服务平台
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;productCode|String|产品编码
&emsp;&emsp;productName|String|产品名称
&emsp;&emsp;deviceFirmname|String|设备生产厂商名称
&emsp;&emsp;resolution|Integer|分辨率(0.1920*1080,1.1366*768,2.1080*1920)
&emsp;&emsp;deviceInBuilding|Integer|所属楼栋
&emsp;&emsp;deviceInFloor|Integer|所属楼层
&emsp;&emsp;defectsLiabilityPeriod|Date|保修期至
&emsp;&emsp;leadingOfficial|String|负责人
&emsp;&emsp;deviceAddr|String|设备位置
&emsp;&emsp;leadingOfficialTelephone|String|联系电话
&emsp;&emsp;devicePhotoPath|String|设备图片
&emsp;&emsp;ip|String|设备访问ip
&emsp;&emsp;centernum|String|中心设备编码
&emsp;&emsp;port|String|端口
&emsp;&emsp;deviceStatus|Integer|设备状态 (0.未激活，1.离线,2.在线)
&emsp;&emsp;enabled|Integer|启用状态 (0.停止，1.启用)
&emsp;&emsp;deviceRemark|String|备注
&emsp;&emsp;onlineTime|Date|最近上线时间
&emsp;&emsp;offlineTime|Date|最近离线时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;resolution|object|字典属性对象，详见附录
&emsp;deviceStatus|object|字典属性对象，详见附录
&emsp;enabled|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看设备管理

**请求URL:** device/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看设备管理，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/device/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;deviceName|String|设备名称
&emsp;roomId|Long|所属房间id
&emsp;roomName|String|所属房间名称
&emsp;deviceCode|String|设备编码,SN码等，默认为MAC地址
&emsp;deviceMac|String|设备的MAC地址
&emsp;siteId|Long|站点Id，来源基础服务平台
&emsp;siteCode|String|站点编号，来源基础服务平台
&emsp;siteName|String|站点名称
&emsp;productCode|String|产品编码
&emsp;productName|String|产品名称
&emsp;deviceFirmname|String|设备生产厂商名称
&emsp;resolution|Integer|分辨率(0.1920*1080,1.1366*768,2.1080*1920)
&emsp;deviceInBuilding|Integer|所属楼栋
&emsp;deviceInFloor|Integer|所属楼层
&emsp;defectsLiabilityPeriod|Date|保修期至
&emsp;leadingOfficial|String|负责人
&emsp;deviceAddr|String|设备位置
&emsp;leadingOfficialTelephone|String|联系电话
&emsp;devicePhotoPath|String|设备图片
&emsp;ip|String|设备访问ip
&emsp;centernum|String|中心设备编码
&emsp;port|String|端口
&emsp;deviceStatus|Integer|设备状态 (0.未激活，1.离线,2.在线)
&emsp;enabled|Integer|启用状态 (0.停止，1.启用)
&emsp;deviceRemark|String|备注
&emsp;onlineTime|Date|最近上线时间
&emsp;offlineTime|Date|最近离线时间
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;resolution|object|字典属性对象，详见附录
&emsp;deviceStatus|object|字典属性对象，详见附录
&emsp;enabled|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6416,
            "deviceName":"pkjibk",
            "roomId":9273,
            "roomName":"dpsyme",
            "deviceCode":"r5r6jz",
            "deviceMac":"lk4xm3",
            "siteId":5989,
            "siteCode":"nus4c5",
            "siteName":"h38lzl",
            "productCode":"9j12yk",
            "productName":"z28gt2",
            "deviceFirmname":"5c4my8",
            "resolution":6563,
            "deviceInBuilding":9275,
            "deviceInFloor":2373,
            "defectsLiabilityPeriod":"2023-05-22",
            "leadingOfficial":"lzkquo",
            "deviceAddr":"gaf5dr",
            "leadingOfficialTelephone":"4spxdw",
            "devicePhotoPath":"7ef9v7",
            "ip":"opc6qy",
            "centernum":"bwb41e",
            "port":"p8oj7p",
            "deviceStatus":1422,
            "enabled":4083,
            "deviceRemark":"lzyzkk",
            "onlineTime":"2023-05-22",
            "offlineTime":"2023-05-22",
            "createUserId":1051,
            "createTime":"2023-05-22",
            "updateUserId":3288,
            "updateTime":"2023-05-22"
        }
}
```

### 保存更新设备管理

**请求URL:** device/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新设备管理：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
deviceName|String|是|设备名称
roomId|Long|否|所属房间id
roomName|String|否|所属房间名称
deviceCode|String|否|设备编码,SN码等，默认为MAC地址
deviceMac|String|否|设备的MAC地址
siteId|Long|否|站点Id，来源基础服务平台
siteCode|String|否|站点编号，来源基础服务平台
siteName|String|否|站点名称
productCode|String|否|产品编码
productName|String|否|产品名称
deviceFirmname|String|否|设备生产厂商名称
resolution|Integer|否|分辨率(0.1920*1080,1.1366*768,2.1080*1920)
deviceInBuilding|Integer|否|所属楼栋
deviceInFloor|Integer|否|所属楼层
defectsLiabilityPeriod|Date|否|保修期至
leadingOfficial|String|否|负责人
deviceAddr|String|否|设备位置
leadingOfficialTelephone|String|否|联系电话
devicePhotoPath|String|否|设备图片
ip|String|否|设备访问ip
centernum|String|否|中心设备编码
port|String|否|端口
deviceStatus|Integer|否|设备状态 (0.未激活，1.离线,2.在线)
enabled|Integer|否|启用状态 (0.停止，1.启用)
deviceRemark|String|否|备注
onlineTime|Date|否|最近上线时间
offlineTime|Date|否|最近离线时间

**请求样例:**
```
{
    "deviceName":"y3ilhl",
    "roomId":3576,
    "roomName":"pcz1ux",
    "deviceCode":"cu3k44",
    "deviceMac":"fe04rb",
    "siteId":1153,
    "siteCode":"qb0iy8",
    "siteName":"aw3nws",
    "productCode":"tdqbak",
    "productName":"ppvngy",
    "deviceFirmname":"e7ewml",
    "resolution":4668,
    "deviceInBuilding":7334,
    "deviceInFloor":3589,
    "defectsLiabilityPeriod":"2023-05-22",
    "leadingOfficial":"l2ey6n",
    "deviceAddr":"6pu5qc",
    "leadingOfficialTelephone":"d1ew4b",
    "devicePhotoPath":"osd4ct",
    "ip":"s8sgl9",
    "centernum":"x8ie6p",
    "port":"aw4ans",
    "deviceStatus":3010,
    "enabled":3247,
    "deviceRemark":"423vzg",
    "onlineTime":"2023-05-22",
    "offlineTime":"2023-05-22",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;deviceName|String|设备名称
&emsp;&emsp;roomId|Long|所属房间id
&emsp;&emsp;roomName|String|所属房间名称
&emsp;&emsp;deviceCode|String|设备编码,SN码等，默认为MAC地址
&emsp;&emsp;deviceMac|String|设备的MAC地址
&emsp;&emsp;siteId|Long|站点Id，来源基础服务平台
&emsp;&emsp;siteCode|String|站点编号，来源基础服务平台
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;productCode|String|产品编码
&emsp;&emsp;productName|String|产品名称
&emsp;&emsp;deviceFirmname|String|设备生产厂商名称
&emsp;&emsp;resolution|Integer|分辨率(0.1920*1080,1.1366*768,2.1080*1920)
&emsp;&emsp;deviceInBuilding|Integer|所属楼栋
&emsp;&emsp;deviceInFloor|Integer|所属楼层
&emsp;&emsp;defectsLiabilityPeriod|Date|保修期至
&emsp;&emsp;leadingOfficial|String|负责人
&emsp;&emsp;deviceAddr|String|设备位置
&emsp;&emsp;leadingOfficialTelephone|String|联系电话
&emsp;&emsp;devicePhotoPath|String|设备图片
&emsp;&emsp;ip|String|设备访问ip
&emsp;&emsp;centernum|String|中心设备编码
&emsp;&emsp;port|String|端口
&emsp;&emsp;deviceStatus|Integer|设备状态 (0.未激活，1.离线,2.在线)
&emsp;&emsp;enabled|Integer|启用状态 (0.停止，1.启用)
&emsp;&emsp;deviceRemark|String|备注
&emsp;&emsp;onlineTime|Date|最近上线时间
&emsp;&emsp;offlineTime|Date|最近离线时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除设备管理

**请求URL:** device/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除设备管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/device/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

### 导入设备管理模板下载

**请求URL:** device/downloadTemplate

**请求方式:** POST

**内容类型:** application/octet-stream;charset=utf-8

**简要描述:** 设备管理导入模板下载

**请求样例:**
```
    http://localhost/device/downloadTemplate
```

**Response-example:**
```
...

```

### 导入设备管理

**请求URL:** device/importData

**请求方式:** POST

**内容类型:** multipart/form-data

**简要描述:** 导入设备管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
file|file|是|文件流

**请求样例:**
```
    http://localhost/device/importData --data 'updateSupport=true'

```

**Response-example:**
```
...

```

### 导出设备管理

**请求URL:** device/exportExcel

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 导出设备管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
idList|Arrays|否|id数组

**请求样例:**
```
{
    idList:[1,2],

}

```

**Response-example:**
```
...

```
## 状态设置

### 查询状态设置列表

**请求URL:** basic/status/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询状态设置

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，自增长
&emsp;&emsp;basicSetId|Long|基础设置id
&emsp;&emsp;statusName|String|状态名称
&emsp;&emsp;statusColor|String|状态颜色值
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看状态设置

**请求URL:** basic/status/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看状态设置，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/basic/status/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，自增长
&emsp;basicSetId|Long|基础设置id
&emsp;statusName|String|状态名称
&emsp;statusColor|String|状态颜色值
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":251,
            "basicSetId":6449,
            "statusName":"fopp4u",
            "statusColor":"309bkx",
            "remark":"n8pywr",
            "createUserId":8853,
            "createTime":"2023-05-22",
            "updateUserId":7956,
            "updateTime":"2023-05-22"
        }
}
```

### 保存更新状态设置

**请求URL:** basic/status/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新状态设置：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
basicSetId|Long|否|基础设置id
statusName|String|否|状态名称
statusColor|String|否|状态颜色值
remark|String|否|备注

**请求样例:**
```
{
    "basicSetId":1059,
    "statusName":"8x866h",
    "statusColor":"s8ky3i",
    "remark":"s4kia9",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，自增长
&emsp;&emsp;basicSetId|Long|基础设置id
&emsp;&emsp;statusName|String|状态名称
&emsp;&emsp;statusColor|String|状态颜色值
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除状态设置

**请求URL:** basic/status/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除状态设置

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/basic/status/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 基础设置

### 查询基础设置列表

**请求URL:** basic/set/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询基础设置

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;showPhoto|Integer|是否显示照片(0.否,1.是)
&emsp;&emsp;showName|Integer|是否显示姓名 (0.否,1.是)
&emsp;&emsp;showPost|Integer|是否显示职位(0.否,1.是)
&emsp;&emsp;showWork|Integer|是否显示在岗状态(0.否,1.是)
&emsp;&emsp;showPhone|Integer|是否显示电话(0.否,1.是)
&emsp;&emsp;showElect|Integer|显示电子门牌信息(0.显示时间,1.自定义内容)
&emsp;&emsp;showElectDesc|String|显示电子门牌信息自定义内容
&emsp;&emsp;showMeet|Integer|显示会议室门牌信息(0.显示时间,1.自定义内容)
&emsp;&emsp;showMeetDesc|String|显示会议室门牌信息自定义内容
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;showPhoto|object|字典属性对象，详见附录
&emsp;showName|object|字典属性对象，详见附录
&emsp;showPost|object|字典属性对象，详见附录
&emsp;showWork|object|字典属性对象，详见附录
&emsp;showPhone|object|字典属性对象，详见附录
&emsp;showElect|object|字典属性对象，详见附录
&emsp;showMeet|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看基础设置

**请求URL:** basic/set/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看基础设置，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/basic/set/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;showPhoto|Integer|是否显示照片(0.否,1.是)
&emsp;showName|Integer|是否显示姓名 (0.否,1.是)
&emsp;showPost|Integer|是否显示职位(0.否,1.是)
&emsp;showWork|Integer|是否显示在岗状态(0.否,1.是)
&emsp;showPhone|Integer|是否显示电话(0.否,1.是)
&emsp;showElect|Integer|显示电子门牌信息(0.显示时间,1.自定义内容)
&emsp;showElectDesc|String|显示电子门牌信息自定义内容
&emsp;showMeet|Integer|显示会议室门牌信息(0.显示时间,1.自定义内容)
&emsp;showMeetDesc|String|显示会议室门牌信息自定义内容
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;showPhoto|object|字典属性对象，详见附录
&emsp;showName|object|字典属性对象，详见附录
&emsp;showPost|object|字典属性对象，详见附录
&emsp;showWork|object|字典属性对象，详见附录
&emsp;showPhone|object|字典属性对象，详见附录
&emsp;showElect|object|字典属性对象，详见附录
&emsp;showMeet|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":1008,
            "showPhoto":9472,
            "showName":3897,
            "showPost":1566,
            "showWork":5424,
            "showPhone":2984,
            "showElect":3648,
            "showElectDesc":"j8khoc",
            "showMeet":1523,
            "showMeetDesc":"i5ssu0",
            "remark":"azl46h",
            "createUserId":6255,
            "createTime":"2023-05-22",
            "updateUserId":2748,
            "updateTime":"2023-05-22"
        }
}
```

### 保存更新基础设置

**请求URL:** basic/set/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新基础设置：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
showPhoto|Integer|否|是否显示照片(0.否,1.是)
showName|Integer|否|是否显示姓名 (0.否,1.是)
showPost|Integer|否|是否显示职位(0.否,1.是)
showWork|Integer|否|是否显示在岗状态(0.否,1.是)
showPhone|Integer|否|是否显示电话(0.否,1.是)
showElect|Integer|否|显示电子门牌信息(0.显示时间,1.自定义内容)
showElectDesc|String|否|显示电子门牌信息自定义内容
showMeet|Integer|否|显示会议室门牌信息(0.显示时间,1.自定义内容)
showMeetDesc|String|否|显示会议室门牌信息自定义内容
remark|String|否|备注

**请求样例:**
```
{
    "showPhoto":7354,
    "showName":8414,
    "showPost":6031,
    "showWork":9920,
    "showPhone":2184,
    "showElect":3238,
    "showElectDesc":"2jd28x",
    "showMeet":4801,
    "showMeetDesc":"wcksea",
    "remark":"3yw3pz",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;showPhoto|Integer|是否显示照片(0.否,1.是)
&emsp;&emsp;showName|Integer|是否显示姓名 (0.否,1.是)
&emsp;&emsp;showPost|Integer|是否显示职位(0.否,1.是)
&emsp;&emsp;showWork|Integer|是否显示在岗状态(0.否,1.是)
&emsp;&emsp;showPhone|Integer|是否显示电话(0.否,1.是)
&emsp;&emsp;showElect|Integer|显示电子门牌信息(0.显示时间,1.自定义内容)
&emsp;&emsp;showElectDesc|String|显示电子门牌信息自定义内容
&emsp;&emsp;showMeet|Integer|显示会议室门牌信息(0.显示时间,1.自定义内容)
&emsp;&emsp;showMeetDesc|String|显示会议室门牌信息自定义内容
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除基础设置

**请求URL:** basic/set/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除基础设置

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/basic/set/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}


```
## 终端服务
### 工作人员登录

**请求URL:** workman/doLogin

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:**

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名|是|-
loginPwd|String|密码|是|-

**请求样例:**

```

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-

**响应消息样例:**

```

```

### 工作人员密码修改

**请求URL:** workman/change/password

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:**

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名|是|-
oldPwd|String|旧密码|是|-
newPwd|String|新密码|是|-

**请求样例:**

```

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

### 工作人员列表

**请求URL:** workman/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询工作人员

**请求参数:**

参数名称| 类型      |必填|描述
:---|:--------|:---|:------
page| Integer |否|当前页
size| Integer |否|每页条数，值为-1，查询所有记录
deviceCode| String  |否|设备编码


**请求样例:**
```
  {
        "page":1,
        "size":10,
        "deviceCode":"123123"
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;roomId|Long|所属房间id
&emsp;&emsp;roomName|String|所属房间名称
&emsp;&emsp;deptName|String|所属部门
&emsp;&emsp;name|String|姓名
&emsp;&emsp;sex|Integer|性别(0.男,1.女)
&emsp;&emsp;userPost|String|职务
&emsp;&emsp;phone|String|电话
&emsp;&emsp;mobile|String|手机
&emsp;&emsp;summary|String|简介
&emsp;&emsp;photoPath|String|照片
&emsp;&emsp;workStatus|String|工作状态，来源基础设置
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateTime|Date|修改时间
dict|object|字典对象
&emsp;sex|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查询基础设置

**请求URL:** basic/set/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询基础设置

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称| 参数类型    |描述
:---|:--------|:------
code| Integer |结果码（-1.失败，1.成功）
msg| String  |消息
data| object  |数据对象
&emsp;per_page| Integer |每页条数
&emsp;total| Integer |总条数
&emsp;last_page| Integer |总页数
&emsp;current_page| Integer |当前页
&emsp;data| array   |结果集列表|数组
&emsp;&emsp;id| Long    |主键ID，主键，自增长
&emsp;&emsp;showPhoto| Integer |是否显示照片(0.否,1.是)
&emsp;&emsp;showName| Integer |是否显示姓名 (0.否,1.是)
&emsp;&emsp;showPost| Integer |是否显示职位(0.否,1.是)
&emsp;&emsp;showWork| Integer |是否显示在岗状态(0.否,1.是)
&emsp;&emsp;showPhone| Integer |是否显示电话(0.否,1.是)
&emsp;&emsp;showElect| Integer |显示电子门牌信息(0.显示时间,1.自定义内容)
&emsp;&emsp;showElectDesc| String  |显示电子门牌信息自定义内容
&emsp;&emsp;showMeet| Integer |显示会议室门牌信息(0.显示时间,1.自定义内容)
&emsp;&emsp;showMeetDesc| String  |显示会议室门牌信息自定义内容
&emsp;&emsp;siteName| String  |站点名称
&emsp;&emsp;basicStatusList| Arrays  |状态配置列表
&emsp;&emsp;statusName| String  |状态名称
&emsp;&emsp;statusColor| String  |状态颜色值
&emsp;&emsp;remark| String  |备注
&emsp;&emsp;createUserId| Long    |创建用户
&emsp;&emsp;createTime| Date    |创建时间
&emsp;&emsp;updateUserId| Long    |更新用户
&emsp;&emsp;updateTime| Date    |更新时间

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 会议记录列表

**请求URL:** metting/record/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询会议记录

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
deviceCode| String  |否|设备编码

**请求样例:**
```
  {
        "page":1,
        "size":10,
        "deviceCode","adfdd"
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;meetName|String|会议名称
&emsp;&emsp;meetDate|Date|会议日期
&emsp;&emsp;meetTimeStart|Date|开会开始时间
&emsp;&emsp;meetTimeEnd|Date|开会结束时间
&emsp;&emsp;roomId|Long|开会房间ID
&emsp;&emsp;roomName|String|开会房间名称
&emsp;&emsp;meetDeptName|String|开会部门名称
&emsp;&emsp;meetStatus|Integer|会议状态(0.等待中,1.进行中,2.已结束)
&emsp;&emsp;finishMethod|Integer|会议结束方式(0.自动结束,1.手动结束)
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;meetStatus|object|字典属性对象，详见附录
&emsp;finishMethod|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 更新工作人员状态信息

**请求URL:** workman/change/status

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 

**请求参数:**

参数名称|类型| 必填  |描述
:---|:---|:----|:-------
id|Long| 是   |人员id
workStatus|String| 是   |工作人员状态，来源基础设置中的状态列表

**请求样例:**
```
{
    "id":1,
    "workStatus":"在岗"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象

**响应消息样例:**
```
{
    "msg":"",
    "code":1,
    "data":{}
    }
}

```


## 字典附录
### meetStatus
字典参数key|字典参数值|其它
:---|:---|:---
0|等待中|-
1|进行中|-
2|已结束|-
### finishMethod
字典参数key|字典参数值|其它
:---|:---|:---
0|自动结束|-
1|手动结束|-
### roomType
字典参数key|字典参数值|其它
:---|:---|:---
0|会议室|-
1|办公室|-
### sex
字典参数key|字典参数值|其它
:---|:---|:---
0|男|-
1|女|-
### resolution
字典参数key|字典参数值|其它
:---|:---|:---
0|1920*1080|-
1|1366*768|-
2|1080*1920|-
### deviceStatus
字典参数key|字典参数值|其它
:---|:---|:---
0|未激活|-
1|离线|-
2|在线|-
### enabled
字典参数key|字典参数值|其它
:---|:---|:---
0|停止|-
1|启用|-
### showPhoto
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### showName
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### showPost
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### showWork
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### showPhone
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### showElect
字典参数key|字典参数值|其它
:---|:---|:---
0|显示时间|-
1|自定义内容|-
### showMeet
字典参数key|字典参数值|其它
:---|:---|:---
0|显示时间|-
1|自定义内容|-
